begin;

alter table user add column `collect_status` int(11) NOT NULL COMMENT '收藏状态';
alter table user add column `keys_num`    int(11) NOT NULL COMMENT '钥匙数量',
alter table user add column `battle_re_times` int(11) NOT NULL COMMENT '每日战斗奖励次数',
alter table user add column `shop_flush_times` int(11) NOT NULL COMMENT '每日商店刷新次数',
alter table user add column `kefu_status`  int(11)  NOT NULL COMMENT '客服奖励状态(0:未领取,1:已领取)',

DELETE FROM user WHERE 1=1;
DELETE FROM skin WHERE 1=1;
DELETE FROM equip WHERE 1=1;
DELETE FROM supplybox WHERE 1=1;
DELETE FROM sign WHERE 1=1;
DELETE FROM hang WHERE 1=1;
DELETE FROM quest WHERE 1=1;
DELETE FROM active WHERE 1=1;
DELETE FROM history_record WHERE 1=1;

CREATE TABLE `share_achievement` (
  `idx` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `accountid` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `ach_id` int(11) NOT NULL COMMENT '分享邀请成就id',
  `status` int(11) NOT NULL COMMENT '状态(0:未领取,1:已领取)',
  `create_time`   int(11) NOT NULL COMMENT '创建时间',
  `modify_time`   int(11) NOT NULL COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `accountid_ach_id` (`accountid`, `ach_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


insert into version (version) values(2019070401);

commit;
